Skip to content

Count alerts

GET
/api/v1/alerts/count
curl --request GET \
--url https://app.prefactorai.com/api/v1/alerts/count \
--header 'Authorization: Bearer <token>'
status
One of:
string
Allowed values: raised cleared
Example
raised
severity
One of:
string
Allowed values: critical error warning info
Example
warning
idempotency_key
One of:

Optional idempotency key for ensuring request idempotency

string

Success

Media typeapplication/json
object
count

The number of matching alerts

integer
status
string
Allowed values: success
Example
{
"status": "success"
}

Error

Media typeapplication/json
One of:
object
code
string
Allowed values: bad_request bad_authtoken not_authenticated not_permitted not_implemented unknown not_found unexpected_ref_type unexpected invalid_action alert_unknown alert_already_cleared invalid_value required_value idempotency_key_already_used
message
string
status
string
Allowed values: error
Example
{
"code": "bad_request",
"status": "error"
}